<div style="padding-top: 100px;" class="header">
  <h1>Report Statistics Overview</h1>
  <h2>{{underTitle}}</h2>

</div>

<div id="divChart" *ngIf="showTable">
  <canvas id="myChart">

  </canvas>
</div>
<div id="divTextResponse" *ngIf="showText">
  <table>
    <tr>
      <th>Name of outgoing message</th>
      <th>Response</th>
    </tr>
    <tr *ngFor="let elements of nameOfMessageInputText; let i = index">
      <td> {{nameOfMessageInputText[i]}}
      </td>
      <td>{{responseText[i]}}</td>

  </table>

</div>
<div class="main-container">
  <div class="accordian">
    <button class="accordian-button button  is-rounded btnStyle" (click)="showUser=!showUser"
      (click)="getUsers()">Users</button>
    <!-- <div class="users-panel" *ngIf="showUser">
<p *ngFor="let users of users">{{users}}</p>
        </div> -->
    <button class="accordian-button button is-rounded btnStyle " (click)="showTopics=!showTopics"
      (click)="getTopcis()">Topics</button>
    <!-- <div class="topics-panel" *ngIf="showTopics">
            <p *ngFor="let topics of topics">{{topics}}</p>
        </div> -->
    <button class="accordian-button button is-rounded btnStyle" (click)="showCategories=!showCategories"
      (click)="getCategories()">Categories</button>
    <!--   <div class="categories-panel" *ngIf="showCategories">
           <p *ngFor="let categories of categories">{{categories}}</p> 
        </div>-->
    <button class="accordian-button button is-rounded btnStyle" (click)="showSubscriptions=!showSubscriptions"
      (click)="getSubscriptions()">Subscriptions</button>
    <!--  <div class="categories-panel" *ngIf="showSubscriptions">
          <p *ngFor="let subscription of subscriptions">{{subscriptions}}</p>
        </div> -->

    <button class="accordian-button button is-rounded btnStyle" (click)="showMessages=!showMessages"
      (click)="getResponses()">Responses</button>
    <button class="accordian-button button is-rounded btnStyle" (click)="showMessagesText=!showMessagesText"
      (click)="getTextResponse()">Text
      response</button>

    <div class="action-buttons">
      <!-- <div class="show-table-button">
                <button class="button is-link" (click)="showTable=!showTable" (click)="drawChart([],[],[])"> Toggle table </button>
    
            </div> -->
      <div class="export-to-csv">
        <button class="button is-rounded is-success" (click)="chooseWhatToExport()">Export to csv</button>
      </div>
    </div>

  </div>

</div>
